summaryrefslogtreecommitdiffstats
path: root/graphics/qcomicbook
diff options
context:
space:
mode:
author Amiralul <tanaselia@gmail.com>2010-05-11 20:00:37 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:00:37 +0200
commit869d8266afc67b19429d8e3d6bb940b090c38168 (patch)
tree3977756396384bbdbefe2226039dc676608bf62f /graphics/qcomicbook
parent9318ea7d973dc1d0645fd2eaca2e8ef50ca2c1f1 (diff)
downloadslackbuilds-869d8266afc67b19429d8e3d6bb940b090c38168.tar.gz
slackbuilds-869d8266afc67b19429d8e3d6bb940b090c38168.tar.xz
graphics/qcomicbook: Added to 12.0 repository
Diffstat (limited to 'graphics/qcomicbook')
-rw-r--r--graphics/qcomicbook/README4
-rw-r--r--graphics/qcomicbook/doinst.sh5
-rw-r--r--graphics/qcomicbook/qcomicbook.SlackBuild56
-rw-r--r--graphics/qcomicbook/qcomicbook.info8
-rw-r--r--graphics/qcomicbook/slack-desc19
5 files changed, 92 insertions, 0 deletions
diff --git a/graphics/qcomicbook/README b/graphics/qcomicbook/README
new file mode 100644
index 0000000000..4231a047ae
--- /dev/null
+++ b/graphics/qcomicbook/README
@@ -0,0 +1,4 @@
+QComicBook is comic book reader format (.cbr). It allows viewing
+of variuos types of images (JPEG, PNG, etc) archived in a ZIP
+or RAR archive (with .cbz or .cbr extension). Unrar is needed
+for viewing .cbr files. ImLib2 is required to build qcomicbook.
diff --git a/graphics/qcomicbook/doinst.sh b/graphics/qcomicbook/doinst.sh
new file mode 100644
index 0000000000..3412314ed0
--- /dev/null
+++ b/graphics/qcomicbook/doinst.sh
@@ -0,0 +1,5 @@
+
+if [ -x usr/bin/update-desktop-database ]; then
+ ./usr/bin/update-desktop-database ./usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/graphics/qcomicbook/qcomicbook.SlackBuild b/graphics/qcomicbook/qcomicbook.SlackBuild
new file mode 100644
index 0000000000..445943c2ac
--- /dev/null
+++ b/graphics/qcomicbook/qcomicbook.SlackBuild
@@ -0,0 +1,56 @@
+#!/bin/sh
+
+# Slackware build script for QComicBook
+
+# Written by Amiralul (tanaselia@gmail.com)
+
+PRGNAM=qcomicbook
+VERSION=0.3.4
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man
+
+make
+make install DESTDIR=$PKG
+
+gzip -9 $PKG/usr/man/man1/$PRGNAM.1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/graphics/qcomicbook/qcomicbook.info b/graphics/qcomicbook/qcomicbook.info
new file mode 100644
index 0000000000..7df58876ac
--- /dev/null
+++ b/graphics/qcomicbook/qcomicbook.info
@@ -0,0 +1,8 @@
+PRGNAM="qcomicbook"
+VERSION="0.3.4"
+HOMEPAGE="http://linux.bydg.org/~yogin/"
+DOWNLOAD="http://linux.bydg.org/~yogin/qcomicbook-0.3.4.tar.gz"
+MD5SUM="f93f29e0635f8fe64f036bf654050438"
+MAINTAINER="Amiralul"
+EMAIL="tanaselia@gmail.com"
+APPROVED="rworkman"
diff --git a/graphics/qcomicbook/slack-desc b/graphics/qcomicbook/slack-desc
new file mode 100644
index 0000000000..eb7305a977
--- /dev/null
+++ b/graphics/qcomicbook/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+qcomicbook: QComicBook (Comic Book Reader)
+qcomicbook:
+qcomicbook: QComicBook is a KDE application that allows sequential
+qcomicbook: display of archived (zip or rar) images, a well known
+qcomicbook: tehnique for distributing digital copies of comic books.
+qcomicbook: ImLib2 and unrar (optional) are required.
+qcomicbook:
+qcomicbook: Homepage: http://linux.bydg.org/~yogin/
+qcomicbook:
+qcomicbook:
+qcomicbook: